Summary:  A C++ port of Lucene
Name:     clucene
Version:  2.3.3.4
Release:  5%{?dist}
License:  LGPLv2+ or ASL 2.0
URL:      http://www.sourceforge.net/projects/clucene
Source0:  http://downloads.sourceforge.net/clucene/clucene-core-%{version}.tar.gz#/clucene-core-%{version}-e8e3d20.tar.xz

BuildRequires:	boost-devel zlib-devel gawk
BuildRequires:	gcc-c++ cmake make

Patch3000: clucene-core-2.3.3.4-pkgconfig.patch
Patch3001: clucene-core-2.3.3.4-install_contribs_lib.patch  
Patch3002: clucene-core-2.3.3.4-CLuceneConfig.patch
Patch3003: clucene-core-2.3.3.4-usleep.patch
Patch3004: 0001-Make-sure-to-return-value-from-non-void-function.patch
Patch3005: 0002-Avoid-deadlock-in-TestIndexSearcher.patch
Patch3006: 0001-Fix-missing-include-time.h.patch

%description
CLucene is a C++ port of the popular Apache Lucene search engine
(http://lucene.apache.org/java). 
CLucene aims to be a high-speed alternative to Java Lucene, its API is very
similar to that of the Java version. CLucene has recently been brought up to
date with Lucene 2.3.2. It contains most of the same functionality as the Java version.

%package core
Summary:	Core clucene module
Provides:	clucene = %{version}-%{release}

%description core
CLucene is a C++ port of the popular Apache Lucene search engine
(http://lucene.apache.org/java).
CLucene aims to be a high-speed alternative to Java Lucene, its API is very
similar to that of the Java version. CLucene has recently been brought up to
date with Lucene 2.3.2. It contains most of the same functionality as the Java version.

%package contribs-lib
Summary:	Language specific text analyzers for %{name}
Requires:	%{name}-core = %{version}-%{release}

%description contribs-lib
Language specific text analyzers for %{name}

%package core-devel
Summary:	Headers for developing programs that will use %{name}
Requires:	%{name}-core = %{version}-%{release}
Requires:	%{name}-contribs-lib = %{version}-%{release}

%description core-devel
This package contains the libraries and header files needed for
developing with clucene



%prep
%autosetup -p1 -n %{name}-core-%{version}

rm -rfv src/ext/{boost/,zlib/}


%build
%{cmake} \
  -DBUILD_CONTRIBS_LIB:BOOL=ON \
  -DLIB_DESTINATION:PATH=%{_libdir} \
  -DLUCENE_SYS_INCLUDES:PATH=%{_libdir}

%cmake_build

%install
%cmake_install


%check
export PKG_CONFIG_PATH=%{buildroot}%{_libdir}/pkgconfig
test "$(pkg-config --modversion libclucene-core)" = "%{version}"
export CTEST_OUTPUT_ON_FAILURE=1
touch src/test/CMakeLists.txt && \
make -C %{_target_platform} cl_test && \
time make -C %{_target_platform} test ARGS="--timeout 300 --output-on-failure" ||:


%files core
%license APACHE.license COPYING LGPL.license
%doc AUTHORS ChangeLog README
%{_libdir}/libclucene-core.so.1*
%{_libdir}/libclucene-core.so.%{version}
%{_libdir}/libclucene-shared.so.1*
%{_libdir}/libclucene-shared.so.%{version}


%files contribs-lib
%{_libdir}/libclucene-contribs-lib.so.1*
%{_libdir}/libclucene-contribs-lib.so.%{version}

%files core-devel
%dir %{_libdir}/CLucene
%{_includedir}/CLucene/
%{_includedir}/CLucene.h
%{_libdir}/libclucene*.so
%{_libdir}/CLucene/clucene-config.h
%{_libdir}/CLucene/CLuceneConfig.cmake
%{_libdir}/pkgconfig/libclucene-core.pc


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.3.4-5
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 31 2023 rockerzhu rockerzhu@tencent.com - 2.3.3.4-4
- Rebuilt for boost 1.82.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.3.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.3.4-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 09 2023 Feng Weiyao <wynnfeng@tencent.com> - 2.3.3.4-1
- initial build